[arch-commits] Commit in mousetweaks (trunk trunk/PKGBUILD trunk/mousetweaks.install)

Jan de Groot jgc at archlinux.org
Sun Jul 6 11:53:29 EDT 2008


    Date: Sunday, July 6, 2008 @ 11:53:29
  Author: jgc
Revision: 4303

upgpkg: mousetweaks 2.22.3-1
    Add mousetweaks

Added:
  mousetweaks/trunk/
  mousetweaks/trunk/PKGBUILD
  mousetweaks/trunk/mousetweaks.install

---------------------+
 PKGBUILD            |   29 +++++++++++++++++++++++++++++
 mousetweaks.install |   17 +++++++++++++++++
 2 files changed, 46 insertions(+)

Added: trunk/PKGBUILD
===================================================================
--- trunk/PKGBUILD	                        (rev 0)
+++ trunk/PKGBUILD	2008-07-06 15:53:29 UTC (rev 4303)
@@ -0,0 +1,29 @@
+# $Id: PKGBUILD 2392 2008-06-01 19:38:25Z jgc $
+# Maintainer: Jan de Groot <jgc at archlinux.org>
+
+pkgname=mousetweaks
+pkgver=2.22.3
+pkgrel=1
+pkgdesc="Mouse accessibility enhancements for the GNOME desktop"
+arch=(i686 x86_64)
+license=('GPL3' 'FDL')
+depends=('gnome-panel')
+makedepends=('perlxml' 'pkgconfig' 'gnome-doc-utils>=0.12.2')
+groups=('gnome-extra>=2.22.2' 'at-spi>=1.22.1')
+options=('!libtool' '!emptydirs')
+url="http://www.gnome.org"
+install=mousetweaks.install
+source=(http://ftp.gnome.org/pub/gnome/sources/${pkgname}/2.22/${pkgname}-${pkgver}.tar.bz2)
+md5sums=('bf36afbea857e49d32e5aefc29f94440')
+
+build() {
+  cd ${startdir}/src/${pkgname}-${pkgver}
+  ./configure --prefix=/usr --sysconfdir=/etc \
+              --localstatedir=/var --disable-scrollkeeper || return 1
+  make || return 1
+  make -j1 GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 DESTDIR=${startdir}/pkg install || return 1
+ 
+  install -m755 -d ${startdir}/pkg/usr/share/gconf/schemas
+  gconf-merge-schema ${startdir}/pkg/usr/share/gconf/schemas/${pkgname}.schemas ${startdir}/pkg/etc/gconf/schemas/*.schemas || return 1
+  rm -f ${startdir}/pkg/etc/gconf/schemas/*.schemas
+}

Added: trunk/mousetweaks.install
===================================================================
--- trunk/mousetweaks.install	                        (rev 0)
+++ trunk/mousetweaks.install	2008-07-06 15:53:29 UTC (rev 4303)
@@ -0,0 +1,17 @@
+pkgname=mousetweaks
+
+post_install() {
+  usr/sbin/gconfpkg --install ${pkgname}
+}
+
+pre_upgrade() {
+  pre_remove $1
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  usr/sbin/gconfpkg --uninstall ${pkgname}
+}





More information about the arch-commits mailing list